summaryrefslogtreecommitdiffstats
path: root/source/ap/vorbis-tools/vorbis-tools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/vorbis-tools/vorbis-tools.SlackBuild')
-rwxr-xr-xsource/ap/vorbis-tools/vorbis-tools.SlackBuild10
1 files changed, 4 insertions, 6 deletions
diff --git a/source/ap/vorbis-tools/vorbis-tools.SlackBuild b/source/ap/vorbis-tools/vorbis-tools.SlackBuild
index 97ef8b80c..725ba1bf7 100755
--- a/source/ap/vorbis-tools/vorbis-tools.SlackBuild
+++ b/source/ap/vorbis-tools/vorbis-tools.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=vorbis-tools
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-6}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,7 +74,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf vorbis-tools-$VERSION
-tar xvf $CWD/vorbis-tools-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/vorbis-tools-$VERSION.tar.?z || exit 1
cd vorbis-tools-$VERSION || exit 1
chown -R root:root .
find . \
@@ -83,8 +83,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Add Opus support for ogg123:
-zcat $CWD/ogg123.opus.diff.gz | patch -p1 --verbose || exit 1
autoreconf -vif || exit 1
CFLAGS="$SLKCFLAGS" \